Bug 231122 - ports-mgmt/portlint: Please only complain about INSTALLS_ICONS for gtk-based ports
Summary: ports-mgmt/portlint: Please only complain about INSTALLS_ICONS for gtk-based ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-03 17:44 UTC by Yuri Victorovich
Modified: 2018-09-16 17:53 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2018-09-03 17:44:36 UTC
Testcase: multimedia/obs-studio

INSTALL_ICONS is only used for GTK applications:
> $ grep -r INSTALLS_ICONS Mk
> Mk/bsd.port.mk:.if defined(USE_GNOME) || defined(INSTALLS_ICONS)
> Mk/Uses/gnome.mk:# INSTALLS_ICONS	- If a GTK+ port installs Freedesktop-style icons to
. Mk/Uses/gnome.mk:.if defined(INSTALLS_ICONS)
> Mk/Uses/gnome.mk:.if defined(INSTALLS_ICONS)
Comment 1 Joe Marcus Clarke freebsd_committer 2018-09-05 16:49:17 UTC
Thanks for the example port.  This has been fixed in my CVS repo pending the next release.
Comment 2 commit-hook freebsd_committer 2018-09-16 17:51:46 UTC
A commit references this bug:

Author: marcus
Date: Sun Sep 16 17:51:44 UTC 2018
New revision: 479898
URL: https://svnweb.freebsd.org/changeset/ports/479898

Log:
  Update to 2.18.4.

  * Do not complain about icon installation if USE_QT is defined [1]
  * Add support for checking LICENSE_PERMS [2]
  * Add a warning when NO_PACKAGE is used [2]
  * Per the Porter's handbook, check for sections for USE/USES and FLAVORS [3]
  * Check for -on/-off in OPTION names [4]
  * Check to make sure the correct LICENSE_FILE_foo is specified [5]

  PR:		231122 [1]
  		231155 [2]
  		230594 [3]
  		229280 [4]
  		231303 [5]
  Submitted by:	loader [3]
  		adamw [4]

Changes:
  head/ports-mgmt/portlint/Makefile
  head/ports-mgmt/portlint/src/portlint.pl
Comment 3 Joe Marcus Clarke freebsd_committer 2018-09-16 17:53:01 UTC
Fixed in 2.18.4.